## pinball-table-hurd 0%2B0.0.20230219

=== debian/changelog ===
pinball-table-hurd (0+0.0.20230219-0.0.20230219+4+gb056722) unstable; urgency=medium

  * WIP: debian: Release 0+0.0.20230219-0.0.20230219+4+gb056722
    (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Tue, 28 Feb 2023 21:26:17 +0100

pinball-table-hurd (0+0.0.20230219-0.0.20230219+3+g35a6c0f) unstable; urgency=medium

  * WIP: debian: Release 0+0.0.20230219-0.0.20230219+3+g35a6c0f
    (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Tue, 28 Feb 2023 21:20:15 +0100

pinball-table-hurd (0+0.0.20201119+18+g2383ec5-0.0.20201119+20+g9ebf46f) unstable; urgency=medium

  * WIP: debian: Release 0+0.0.20201119+18+g2383ec5-
    0.0.20201119+20+g9ebf46f (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Thu, 16 Feb 2023 23:50:24 +0100

pinball-table-hurd (0.0.0.20201119-0.0.20201119+1+ga18a155) unstable; urgency=medium

  * WIP: debian: Release 0.0.0.20201119-0.0.20201119+1+ga18a155
    (snapshot)

 -- Philippe Coval <rzr@users.sf.net>  Fri, 18 Dec 2020 03:27:16 +0100

pinball-table-hurd (0.0.0-0) unstable; urgency=medium

  * Initial release (Closes: #948659)

 -- Philippe Coval <rzr@users.sf.net>  Mon, 23 Dec 2019 23:51:35 +0100
