=== debian/control ===
Source: pinball-table-hurd
Section: games
Priority: optional
Maintainer: Philippe Coval <rzr@users.sf.net>
Build-Depends: debhelper (>= 11),
 autoconf,
 automake,
 libtool,
 libltdl-dev (>= 2.2.6b),
 libsdl2-dev,
 pinball-dev
Standards-Version: 4.1.3
Homepage: https://github.com/rzr/pinball-table-hurd
Vcs-Git: https://github.com/rzr/pinball-table-hurd.git#debian/master
Vcs-Browser: https://github.com/rzr/pinball-table-hurd/tree/debian/master
Rules-Requires-Root: no

Package: pinball-table-hurd
Enhances: pinball
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 pinball,
 pinball-table-hurd-data (= ${source:Version})
Description: HURD Pinball table for emilia pinball
 Another pinball table to have fun, behaviour plugin.
 The table is dedicated to GNU/Hurd project.
 It features shoot cave, multiballs, ramps and bumpers.

Package: pinball-table-hurd-data
Architecture: all
Depends: ${misc:Depends}
Description: HURD Pinball table data used by plugin
 Visual and sounds for Emilia's pinball's HURD table.
 The table is dedicated to GNU/Hurd project.
 It features shoot cave, multiballs, ramps and bumpers.

Package: pinball-table-hurd-snapshot
Architecture: all
Section: utils
Depends: ${misc:Depends}, pinball-table-hurd (= ${source:Version})
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade pinball-table-hurd
