=== debian/control ===
Source: pinball-table-hurd
Maintainer: Philippe Coval <rzr@users.sf.net>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               autoconf,
               automake,
               libtool,
               libltdl-dev,
               libsdl1.2-dev,
               pinball-dev
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/rzr/pinball-table-hurd/tree/debian/master
Vcs-Git: https://github.com/rzr/pinball-table-hurd.git#debian/master
Homepage: https://github.com/rzr/pinball-table-hurd
Rules-Requires-Root: no

Package: pinball-table-hurd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pinball,
         pinball-table-hurd-data (= ${source:Version})
Enhances: pinball
Description: HURD Pinball table for emilia pinball
 Another pinball table to have fun, behaviour plugin.
 The table is dedicated to GNU/Hurd project.
 It features shoot cave, multiballs, ramps and bumpers.

Package: pinball-table-hurd-data
Architecture: all
Depends: ${misc:Depends}
Description: HURD Pinball table data used by plugin
 Visual and sounds for Emilia's pinball's HURD table.
 The table is dedicated to GNU/Hurd project.
 It features shoot cave, multiballs, ramps and bumpers.
