## pinball-table-hurd 0.0.20230219

=== debian/changelog ===
pinball-table-hurd (0.0.20230219-1) unstable; urgency=medium

  [Sylvain Beucler]
  * Team upload.
  * d/control: depend on SDL2-rewritten 'pinball' package
    (Closes: #1038534)

  [ Philippe Coval ]
  * New upstream release
  * debian: Support gbp
  * d/gbp.conf: Based on upstream tag
  * d/control: Update standards
  * d/control: Set Multi-Arch: foreign
  * d/control: Set team maintenance
  * d/copyright: Fix update-debian-copyright lintian

 -- Sylvain Beucler <beuc@debian.org>  Fri, 30 Jun 2023 14:00:26 +0200
