=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: pinball-table-hurd
-Maintainer: Philippe Coval <rzr@users.sf.net>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders:
+ Philippe Coval <rzr@users.sf.net>
 Section: games
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -7,9 +9,9 @@
                automake,
                libtool,
                libltdl-dev,
-               libsdl1.2-dev,
-               pinball-dev
-Standards-Version: 4.5.0
+               libsdl2-dev,
+               pinball-dev (>= 0.3.20230219)
+Standards-Version: 4.6.2
 Vcs-Browser: https://github.com/rzr/pinball-table-hurd/tree/debian/master
 Vcs-Git: https://github.com/rzr/pinball-table-hurd.git#debian/master
 Homepage: https://github.com/rzr/pinball-table-hurd
@@ -19,7 +21,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         pinball,
+         pinball (>= 0.3.20230219),
          pinball-table-hurd-data (= ${source:Version})
 Enhances: pinball
 Description: HURD Pinball table for emilia pinball
@@ -29,6 +31,7 @@
 
 Package: pinball-table-hurd-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: HURD Pinball table data used by plugin
  Visual and sounds for Emilia's pinball's HURD table.
