=== debian/watch ===
version=4
https://github.com/rzr/@PACKAGE@/tags \
/rzr/@PACKAGE@/archive/@ANY_VERSION@@ARCHIVE_EXT@
